/*
 Copyright (C) JAEHYUK CHO
 All rights reserved.
 
 Author: JAEHYUK CHO <minzkn@minzkn.com>
 
 http://www.minzkn.com
*/

#if !defined(__def_mzproxy_source_mzproxy_time_c__)
# define __def_mzproxy_source_mzproxy_time_c__ "mzproxy_time.c"

#include "mzproxy.h"

def_mzproxy_export long unsigned int mzproxy_time_stamp_sec(void);

long unsigned int mzproxy_time_stamp_sec(void)
{
#if def_mzproxy_windows != (0L)
    LARGE_INTEGER s_performance_frequency, s_performance_count;

    if((QueryPerformanceFrequency((LARGE_INTEGER *)(&s_performance_frequency)) == TRUE) &&
        (QueryPerformanceCounter((LARGE_INTEGER *)(&s_performance_count)) == TRUE)) {
        if(s_performance_frequency.QuadPart != ((LONGLONG)0)) {
            return((long unsigned int)(s_performance_count.QuadPart / s_performance_frequency.QuadPart));
        }
    }

    return((long unsigned int)(GetTickCount() / ((DWORD)1000)));
#else
    struct sysinfo s_sysinfo;

    if(mzproxy_builtin_expect(sysinfo((struct sysinfo *)(&s_sysinfo)) != 0, 0))return((long unsigned int)0);

    return((long unsigned int)s_sysinfo.uptime);
#endif 
}

#endif

/* vim: set expandtab: */
/* End of source */
